%define		pkgname	haskeline
Summary:	A command-line interface for user input, written in Haskell
Name:		ghc-%{pkgname}
Version:	0.7.0.3
Release:	1
License:	BSD
Group:		Development/Languages
Source0:	http://hackage.haskell.org/packages/archive/%{pkgname}/%{version}/%{pkgname}-%{version}.tar.gz
# Source0-md5:	3a78043dc80b5510202e71e77c0a9923
URL:		http://hackage.haskell.org/package/haskeline/
BuildRequires:	ghc >= 6.12.3
BuildRequires:	ghc-mtl
BuildRequires:	ghc-utf8-string >= 0.3.6
BuildRequires:	gmp-devel
BuildRequires:	rpmbuild(macros) >= 1.608
Requires:	ghc-mtl
Requires:	ghc-utf8-string >= 0.3.6
%requires_eq	ghc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# debuginfo is not useful for ghc
%define		_enable_debug_packages	0

%description
Haskeline provides a user interface for line input in command-line
programs. This library is similar in purpose to readline, but since it
is written in Haskell it is (hopefully) more easily used in other
Haskell programs.

%package doc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation

%description doc
HTML documentation for %{pkgname}.

%description doc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
runhaskell Setup.hs configure -v2 \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libexecdir} \
	--docdir=%{_docdir}/%{name}-%{version}

runhaskell Setup.hs build
runhaskell Setup.hs haddock --executables

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/%{ghcdir}/package.conf.d

runhaskell Setup.hs copy --destdir=$RPM_BUILD_ROOT

# work around automatic haddock docs installation
%{__rm} -rf %{name}-%{version}-doc
cp -a $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html %{name}-%{version}-doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

runhaskell Setup.hs register \
	--gen-pkg-config=$RPM_BUILD_ROOT/%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ghc_pkg_recache

%postun
%ghc_pkg_recache

%files
%defattr(644,root,root,755)
%doc CHANGES
%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}

%files doc
%defattr(644,root,root,755)
%doc %{name}-%{version}-doc/*
%changelog
* Fri May 31 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ghc-haskeline.git;a=log;h=master

* Fri May 31 2013 Jan Rękorajski <baggins@pld-linux.org> 82d8488
- up to 0.7.0.3
- fixed doc install

* Tue Sep 27 2011 Jan Rękorajski <baggins@pld-linux.org> 89b434b
- 0.6.4.3

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> a05bb88
- missing doc

* Mon Feb 28 2011 Elan Ruusamäe <glen@pld-linux.org> 11a8ff1
- update packaging, %requires_eq dep on ghc

* Thu Feb 24 2011 Elan Ruusamäe <glen@pld-linux.org> 2aa6ae7
- release 4

* Thu Feb 24 2011 Elan Ruusamäe <glen@pld-linux.org> 75926fd
- use %ghc_pkg_recache macro; make url copyable; %ghcdir in rpmbuild macros

* Sat Aug 28 2010 Jan Rękorajski <baggins@pld-linux.org> 876bd16
- rel 3
- BR/R ghc-mtl

* Sat Aug 28 2010 Jan Rękorajski <baggins@pld-linux.org> 315724a
- release 2

* Sat Aug 28 2010 Jan Rękorajski <baggins@pld-linux.org> 965d462
- requires_releq due to very unique ids in packages built with ghc 6.12+

* Fri Aug 27 2010 Jan Rękorajski <baggins@pld-linux.org> 112ed1d
- 0.6.2.3

* Fri Aug 27 2010 Jan Rękorajski <baggins@pld-linux.org> ba0947c
- updated packaging to new template (ghc 6.12.3+)

* Sat May 15 2010 sparky <sparky@pld-linux.org> 373ae57
- BR: gmp-devel (this probably should be required in ghc)

* Sat Apr 10 2010 Jan Rękorajski <baggins@pld-linux.org> c294184
- initial revision

